Page MenuHomePhabricator

Include IP address in edit comments when rendering a "user"
Closed, ResolvedPublic

Description

Currently when an IP editor is rendered in an edit comment, we see something like "→‎jade-deleteendorsement: {"damaging":false,"goodfaith":true} by id 0: Nevermind." Instead, we should see the IP address with a link to special contribs like [[Special:Contributions/73.44.56.78|73.44.56.78]]" which renders as the IP address.

Event Timeline

Halfak created this task.Mar 19 2020, 9:50 PM
Halfak triaged this task as High priority.Mar 24 2020, 5:06 PM
Halfak moved this task from Untriaged to Ready to go on the Machine Learning Platform board.

Change 595148 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Replaced user IP address with link to special contributions

https://gerrit.wikimedia.org/r/595148

Change 595148 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Replaced user IP address with link to special contributions

https://gerrit.wikimedia.org/r/595148

Change 595468 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Fixed pattern that renders user IP address as link to special contributions

https://gerrit.wikimedia.org/r/595468

Change 595468 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Fixed pattern that renders user IP address as link to special contributions

https://gerrit.wikimedia.org/r/595468

Halfak closed this task as Resolved.Jun 22 2020, 4:36 PM